List KYB forms
curl --request GET \
--url https://ivs.idenfy.com/kyb/forms/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://ivs.idenfy.com/kyb/forms/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ivs.idenfy.com/kyb/forms/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://ivs.idenfy.com/kyb/forms/")
.header("Authorization", "Bearer <token>")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyb/forms/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyb/forms/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyb/forms/")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://ivs.idenfy.com/kyb/forms/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))[
{
"id": "<string>",
"company": {
"companyName": "<string>",
"registrationNumber": "<string>",
"region": "<string>",
"type": "<string>",
"phone": "<string>",
"website": "<string>",
"email": "jsmith@example.com",
"brandNames": [],
"activityCode": "<string>",
"tin": "<string>",
"operatingAddress": "<string>",
"postalAddress": "<string>",
"postcode": "<string>",
"street": "<string>",
"city": "<string>",
"additionalInfo": {}
},
"meta": {
"submissionTime": "2023-11-07T05:31:56Z",
"soleProprietor": true
}
}
]List KYB forms
List KYB forms associated with KYB token. There can be one or zero items in the list, indicating that the KYB form was or was not created.
GET
/
kyb
/
forms
/
List KYB forms
Authorizations
Authentication for actions with all operations associated with KYB form.
Token obtained from KYB form token generation endpoint as tokenString value.
Was this page helpful?
⌘I